> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetActualPhoneNumberRegion

POST https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion

Get actual info on the country region of the phone numbers. The response also contains the info about multiple numbers subscription for the child accounts.

**Example request:** Get the Germany region of the phone numbers.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/phone-numbers/get-actual-phone-number-region

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetActualPhoneNumberRegion:
    post:
      operationId: get-actual-phone-number-region
      summary: GetActualPhoneNumberRegion
      description: >-
        Get actual info on the country region of the phone numbers. The response
        also contains the info about multiple numbers subscription for the child
        accounts.


        **Example request:** Get the Germany region of the phone numbers.
      tags:
        - subpackage_phoneNumbers
      parameters:
        - name: country_code
          in: query
          description: The country code
          required: true
          schema:
            type: string
        - name: phone_category_name
          in: query
          description: The phone category name. See the [GetPhoneNumberCategories] method
          required: true
          schema:
            type: string
        - name: country_state
          in: query
          description: 'The country state code (example: AL, CA, ... )'
          required: false
          schema:
            type: string
        - name: phone_region_id
          in: query
          description: The phone region ID to filter
          required: true
          schema:
            type: integer
        - name: locale
          in: query
          description: The 2-letter locale code. Supported values are EN, RU
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/phone-numbers_GetActualPhoneNumberRegion_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    MultipleNumbersPrice:
      type: object
      properties:
        count:
          type: integer
          description: >-
            The number of subscriptions which must be purchased simultaneously
            to enable a multiple numbers subscription
        installation_tax_reserve:
          type: integer
          description: The phone number installation tax reserve
        tax_reserve:
          type: integer
          description: The phone number tax reserve
        local_price:
          type: integer
          description: Phone number price from the price list
        local_installation_price:
          type: integer
          description: Phone number installation price from the price list
        local_currency:
          type: string
          description: Price list currency
        account_price:
          type: integer
          description: Phone number price in the account currency
        account_installation_price:
          type: integer
          description: Phone number installation price in the account currency
        account_currency:
          type: string
          description: Account currency
        price:
          type: number
          format: double
        installation_price:
          type: integer
      description: Info about multiple numbers subscription for the child accounts.
      title: MultipleNumbersPrice
    PhoneNumberCountryRegionInfoType:
      type: object
      properties:
        phone_region_id:
          type: integer
          description: The region ID
        phone_region_name:
          type: string
          description: The full region name
        phone_region_code:
          type: string
          description: The region phone prefix
        phone_count:
          type: integer
          description: The phone number count in stock for the region
        verification_status:
          type: string
          description: >-
            The account verification status. Available only for RU accounts. The
            following values are possible: REQUIRED, IN_PROGRESS
        required_verification:
          type: string
          description: >-
            Country code, where the verification is required for the account.
            Currently, the only possible value for this field is `RU` (Russia)
        phone_period:
          type: string
          description: >-
            The charge period in 24-h format: Y-M-D H:m:s. Example: 0-1-0 0:0:0
            is 1 month
        is_need_regulation_address:
          type: boolean
          description: Whether to need proof of address
        regulation_address_type:
          type: string
          description: >-
            The type of regulation address. The possible values are LOCAL,
            NATIONAL, WORLDWIDE
        is_sms_supported:
          type: boolean
          description: >-
            Whether SMS is supported for phone numbers in this region. SMS needs
            to be explicitly enabled for a phone number via the [ControlSms]
            Management API before sending or receiving SMS. If SMS is supported
            and enabled, SMS can be sent from a phone number via the
            [SendSmsMessage] Management API and received via the
            [InboundSmsCallback] property of the HTTP callback. See <a
            href='/docs/guides/managementapi/callbacks'>this article</a> for
            HTTP callback details
        multiple_numbers_price:
          type: array
          items:
            $ref: '#/components/schemas/MultipleNumbersPrice'
          description: >-
            [Array](MultipleNumbersPrice) with info about multiple numbers
            subscription for the child accounts
        localized_country_name:
          type: string
          description: The localized country name
        localized_phone_category_name:
          type: string
          description: The localized phone category name
        localized_phone_region_name:
          type: string
          description: The localized phone region name
        phone_installation_tax_reserve:
          type: integer
          description: The phone number installation tax reserve
        phone_tax_reserve:
          type: integer
          description: The phone number tax reserve
        local_price:
          type: integer
          description: Phone number price from the price list
        local_installation_price:
          type: integer
          description: Phone number installation price from the price list
        local_currency:
          type: string
          description: Price list currency
        account_price:
          type: integer
          description: Phone number price in the account currency
        account_installation_price:
          type: integer
          description: Phone number installation price in the account currency
        account_currency:
          type: string
          description: Account currency
        phone_price:
          type: number
          format: double
        phone_installation_price:
          type: number
          format: double
      description: The [GetPhoneNumberRegions] function result.
      title: PhoneNumberCountryRegionInfoType
    phone-numbers_GetActualPhoneNumberRegion_Response_200:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/PhoneNumberCountryRegionInfoType'
      title: phone-numbers_GetActualPhoneNumberRegion_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion"

querystring = {"country_code":"country_code","phone_category_name":"phone_category_name","phone_region_id":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetActualPhoneNumberRegion?country_code=country_code&phone_category_name=phone_category_name&phone_region_id=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```